DetectionSetGroup = SET_GROUP:New()
DetectionSetGroup:FilterPrefixes( { "RAWACS", "REW" } )
DetectionSetGroup:FilterStart()

Detection = DETECTION_AREAS:New( DetectionSetGroup, 30000 )

A2ADispatcher = AI_A2A_DISPATCHER:New( Detection )
--A2ADispatcher:SetEngageRadius()
--A2ADispatcher:SetGciRadius()
A2ADispatcher:SetDefaultTakeoffFromParkingCold()
A2ADispatcher:SetDefaultLandingAtEngineShutdown()

A2ADispatcher:SetDefaultOverhead(0.5)
A2ADispatcher:SetDefaultGrouping(3)
--A2ADispatcher:SetDefaultFuelThreshold()
--A2ADispatcher:SetDefaultDamageThreshold()
--A2ADispatcher:SetDefaultCapTimeInterval()
--A2ADispatcher:SetDefaultTanker()
--A2ADispatcher:SetDefaultFuelThreshold()
--A2ADispatcher:SetIntercept()
--A2ADispatcher:SetDisengageRadius()

ArgentinaBorderZone = ZONE_POLYGON:New( "Argentine Border", GROUP:FindByName( "Argentine Border" ) )
A2ADispatcher:SetBorderZone( ArgentinaBorderZone )

--A2ADispatcher:SetSquadron( "Test", AIRBASE.SouthAtlantic.Rio_Gallegos, { "SQ-FAA-MIG23-Patrol" }, 24 )

--A2ADispatcher:SetSquadron( "62", AIRBASE.SouthAtlantic.San_Julian, { "SQ-FAA-M2000-Intercept" }, 8 )
--A2ADispatcher:SetSquadron( "51", AIRBASE.SouthAtlantic.San_Julian, { "SQ-FAA-A4E-Patrol" }, 8 )
--A2ADispatcher:SetSquadron( "52", AIRBASE.SouthAtlantic.Santa_Cruz, { "SQ-FAA-A4E-Patrol" }, 8 )
A2ADispatcher:SetSquadron( "63", AIRBASE.SouthAtlantic.Rio_Gallegos, { "SQ-FAA-M2000-Intercept" }, 8 )
--A2ADispatcher:SetSquadron( "53", AIRBASE.SouthAtlantic.Rio_Gallegos, { "SQ-FAA-A4E-Patrol" }, 8 )
A2ADispatcher:SetSquadron( "61", AIRBASE.SouthAtlantic.Rio_Grande, { "SQ-FAA-M2000-Intercept" }, 8 )
--A2ADispatcher:SetSquadron( "EA41", AIRBASE.SouthAtlantic.Rio_Grande, { "SQ-ARA-A4E-Patrol" }, 8 )
--A2ADispatcher:SetSquadron( "EA32", AIRBASE.SouthAtlantic.Rio_Grande, { "SQ-ARA-SU33-Patrol" }, 8 )


--A2ADispatcher:SetSquadron( "64", AIRBASE.SouthAtlantic.Rio_Gallegos, { "SQ-FAA-IA58" }, 30 )
--A2ADispatcher:SetSquadron( "EA6E", AIRBASE.SouthAtlantic.Rio_Gallegos, { "SQ-ARA-E3" }, 1 )
--A2ADispatcher:SetSquadron( "11", AIRBASE.SouthAtlantic.Rio_Gallegos, { "SQ-FAA-C130" }, 3 )
--A2ADispatcher:SetSquadron( "EA7E", AIRBASE.SouthAtlantic.Rio_Grande, { "SQ-ARA-E3" }, 1 )
--A2ADispatcher:SetSquadron( "41", AIRBASE.SouthAtlantic.Port_Stanley, { "SQ-FAA-IA58" }, 30 )
--A2ADispatcher:SetSquadron( "EA33", AIRBASE.SouthAtlantic.Port_Stanley, { "SQ-ARA-MB339" }, 30 )
--A2ADispatcher:SetSquadron( "ESAN", AIRBASE.SouthAtlantic.Port_Stanley, { "SQ-ARA-YAK52" }, 30 )


--A2ADispatcher:SetSquadron( "EAH1", AIRBASE.SouthAtlantic.Port_Stanley, { "SQ-ARA-UH1" }, 30 )
--A2ADispatcher:SetSquadron( "EAH2", AIRBASE.SouthAtlantic.Port_Stanley, { "SQ-ARA-UH1" }, 30 )
--A2ADispatcher:SetSquadron( "EAH3", AIRBASE.SouthAtlantic.Port_Stanley, { "SQ-ARA-UH1" }, 30 )
--A2ADispatcher:SetSquadron( "73", AIRBASE.SouthAtlantic.Ushuaia_Helo_Port, { "SQ-FAA-MI8" }, 30 )
--A2ADispatcher:SetSquadron( "71", AIRBASE.SouthAtlantic.Rio_Gallegos, { "SQ-FAA-MI8" }, 30 )

--RCAPZoneNorth = ZONE:New( "RCAP Zone North", GROUP:FindByName( "RCAP Zone North" ) )
 --A2ADispatcher:SetSquadronCap( "678", RCAPZoneNorth, 4000, 10000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

--RCAPZoneCentral = ZONE:New( "RCAP Zone Central", GROUP:FindByName( "RCAP Zone Central" ) )
 --A2ADispatcher:SetSquadronCap( "826", RCAPZoneCentral, 4000, 10000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

--RCAPZoneSouth = ZONE:New( "RCAP Zone South", GROUP:FindByName( "RCAP Zone South" ) )
 --A2ADispatcher:SetSquadronCap( "698", RCAPZoneSouth, 4000, 10000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

--RCAPZoneSpecial = ZONE:New( "RCAP Zone Special", GROUP:FindByName( "RCAP Zone Special" ) )
 --A2ADispatcher:SetSquadronCap( "Test", RCAPZoneSpecial, 4000, 10000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

--A2ADispatcher:SetSquadronGci( "Test", 900, 1200 )

A2ADispatcher:SetSquadronGci( "63", 900, 1200 )--M2000-I
A2ADispatcher:SetSquadronGci( "61", 900, 1200 )--M2000-I


A2ADispatcher:Start()