DetectionSetGroup = SET_GROUP:New()
DetectionSetGroup:FilterPrefixes( { "BAWACS", "BEW" } )
DetectionSetGroup:FilterStart()

Detection = DETECTION_AREAS:New( DetectionSetGroup, 30000 )

A2ADispatcher = AI_A2A_DISPATCHER:New( Detection )
--A2ADispatcher:SetEngageRadius()
--A2ADispatcher:SetGciRadius()
A2ADispatcher:SetDefaultTakeoffFromParkingCold()
A2ADispatcher:SetDefaultLandingAtEngineShutdown()

--A2ADispatcher:SetDefaultOverhead()
A2ADispatcher:SetDefaultGrouping(3)
--A2ADispatcher:SetDefaultFuelThreshold()
--A2ADispatcher:SetDefaultDamageThreshold()
--A2ADispatcher:SetDefaultCapTimeInterval()
--A2ADispatcher:SetDefaultTanker()
--A2ADispatcher:SetDefaultFuelThreshold()
--A2ADispatcher:SetIntercept()
--A2ADispatcher:SetDisengageRadius()


--ChileBorderZone = ZONE_POLYGON:New( "Chilean Border", GROUP:FindByName( "Chilean Border" ) )
--A2ADispatcher:SetBorderZone( ChileBorderZone )

--A2ADispatcher:SetSquadron( "Test", AIRBASE.Syria.H3, { "SQ-IQAF-MIG23-Patrol" }, 24 )

A2ADispatcher:SetSquadron( "23", AIRBASE.SouthAtlantic.Punta_Arenas, { "SQ-FAC-F16-Patrol" }, 11 )
A2ADispatcher:SetSquadron( "6", AIRBASE.SouthAtlantic.Punta_Arenas, { "SQ-FAC-F5-Intercept" }, 11 )
A2ADispatcher:SetSquadron( "12", AIRBASE.SouthAtlantic.Punta_Arenas, { "SQ-FAC-C101-Intercept" }, 11 )


--A2ADispatcher:SetSquadron( "33", AIRBASE.SouthAtlantic.Mount_Pleasant, { "SQ-FAC-C130" }, 3 )


--A2ADispatcher:SetSquadron( "19", AIRBASE.SouthAtlantic.Mount_Pleasant, { "SQ-FAC-UH1H" }, 6 )


--BCAPZoneNorth = ZONE:New( "BCAP Zone North", GROUP:FindByName( "BCAP Zone North" ) )
 --A2ADispatcher:SetSquadronCap( "91", BCAPZoneNorth, 4000, 10000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

BCAPZoneCentral = ZONE:New( "BCAP Zone Central", GROUP:FindByName( "BCAP Zone Central" ) )
 A2ADispatcher:SetSquadronCap( "39", BCAPZoneCentral, 4000, 10000, 500, 600, 800, 900, "BARO" )
 A2ADispatcher:SetSquadronCapInterval( "39", 2, 180, 600, 1 )

BCAPZoneSouth = ZONE:New( "BCAP Zone South", GROUP:FindByName( "BCAP Zone South" ) )
 A2ADispatcher:SetSquadronCap( "37", BCAPZoneSouth, 4000, 10000, 500, 600, 800, 900, "BARO" )
 A2ADispatcher:SetSquadronCapInterval( "39", 2, 180, 600, 1 )

--BCAPZoneSpecial = ZONE:New( "BCAP Zone Special", GROUP:FindByName( "BCAP Zone Special" ) )
 --A2ADispatcher:SetSquadronCap( "Test", BCAPZoneSpecial, 4000, 10000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

--A2ADispatcher:SetSquadronGci( "Test", 900, 1200 )

A2ADispatcher:SetSquadronGci( "23", 900, 1200 )--F16-P
A2ADispatcher:SetSquadronGci( "6", 900, 1200 )--F5-I
A2ADispatcher:SetSquadronGci( "12", 900, 1200 )--C101-I



A2ADispatcher:Start()