DetectionSetGroup = SET_GROUP:New()
DetectionSetGroup:FilterPrefixes( { "BAWACS", "BEW" } )
DetectionSetGroup:FilterStart()

Detection = DETECTION_AREAS:New( DetectionSetGroup, 30000 )

A2ADispatcher = AI_A2A_DISPATCHER:New( Detection )
--A2ADispatcher:SetEngageRadius()
--A2ADispatcher:SetGciRadius()
A2ADispatcher:SetDefaultTakeoffFromParkingCold()
A2ADispatcher:SetDefaultLandingAtEngineShutdown()

--A2ADispatcher:SetDefaultOverhead()
A2ADispatcher:SetDefaultGrouping(3)
--A2ADispatcher:SetDefaultFuelThreshold()
--A2ADispatcher:SetDefaultDamageThreshold()
--A2ADispatcher:SetDefaultCapTimeInterval()
--A2ADispatcher:SetDefaultTanker()
--A2ADispatcher:SetDefaultFuelThreshold()
--A2ADispatcher:SetIntercept()
--A2ADispatcher:SetDisengageRadius()


--FalklandBorderZone = ZONE_POLYGON:New( "Falklands Border", GROUP:FindByName( "Falklands Border" ) )
--A2ADispatcher:SetBorderZone( FalklandBorderZone )

--A2ADispatcher:SetSquadron( "Test", AIRBASE.Syria.H3, { "SQ-IQAF-MIG23-Patrol" }, 24 )

A2ADispatcher:SetSquadron( "1435", AIRBASE.SouthAtlantic.Mount_Pleasant, { "SQ-RAF-F18-Patrol" }, 11 )
A2ADispatcher:SetSquadron( "23", AIRBASE.SouthAtlantic.Mount_Pleasant, { "SQ-RAF-F5-Patrol" }, 8 )

--A2ADispatcher:SetSquadron( "1312", AIRBASE.SouthAtlantic.Mount_Pleasant, { "SQ-RAF-C130" }, 3 )

--A2ADispatcher:SetSquadron( "1310", AIRBASE.SouthAtlantic.Mount_Pleasant, { "SQ-RAF-CH47" }, 6 )
--A2ADispatcher:SetSquadron( "1564", AIRBASE.SouthAtlantic.Mount_Pleasant, { "SQ-RAF-AH64" }, 6 )


--BCAPZoneNorth = ZONE:New( "BCAP Zone North", GROUP:FindByName( "BCAP Zone North" ) )
 --A2ADispatcher:SetSquadronCap( "91", BCAPZoneNorth, 4000, 10000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

BCAPZoneCentral = ZONE:New( "BCAP Zone Central", GROUP:FindByName( "BCAP Zone Central" ) )
 A2ADispatcher:SetSquadronCap( "39", BCAPZoneCentral, 4000, 10000, 500, 600, 800, 900, "BARO" )
 A2ADispatcher:SetSquadronCapInterval( "39", 2, 180, 600, 1 )

BCAPZoneSouth = ZONE:New( "BCAP Zone South", GROUP:FindByName( "BCAP Zone South" ) )
 A2ADispatcher:SetSquadronCap( "37", BCAPZoneSouth, 4000, 10000, 500, 600, 800, 900, "BARO" )
 A2ADispatcher:SetSquadronCapInterval( "39", 2, 180, 600, 1 )

--BCAPZoneSpecial = ZONE:New( "BCAP Zone Special", GROUP:FindByName( "BCAP Zone Special" ) )
 --A2ADispatcher:SetSquadronCap( "Test", BCAPZoneSpecial, 4000, 10000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

--A2ADispatcher:SetSquadronGci( "Test", 900, 1200 )

A2ADispatcher:SetSquadronGci( "1435", 900, 1200 )--F18-P
A2ADispatcher:SetSquadronGci( "23", 900, 1200 )--F5-P



A2ADispatcher:Start()